From 6edd2d2a5968dbea1e4c11c725ee4ec2ecff95a0 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 26 2021 22:13:41 +0000
Subject: [PATCH 2211/2232] Add a void ptr cast for extern type aliases containing Rust-native types


---

diff --git a/syntax/improper.rs b/syntax/improper.rs
index 6a9b5ac..f19eb86 100644
--- a/syntax/improper.rs
+++ b/syntax/improper.rs
@@ -19,7 +19,7 @@ impl<'a> Types<'a> {
                 } else if let Some(strct) = self.structs.get(ident) {
                     Depends(&strct.name.rust) // iterate to fixed-point
                 } else {
-                    Definite(self.rust.contains(ident))
+                    Definite(self.rust.contains(ident) || self.aliases.contains_key(ident))
                 }
             }
             Type::RustBox(_)

